Package org.apache.groovy.ginq.dsl

# Class GinqSyntaxError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.AssertionError
org.apache.groovy.ginq.dsl.GinqSyntaxError

All Implemented Interfaces:
  `Serializable`

public class GinqSyntaxError extends AssertionError
Represents GINQ syntax error

Since:
  4.0.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GinqSyntaxError(String message, int line, int column)`
  Creates a syntax error at the supplied source position.
  `GinqSyntaxError(String message, Expression expression)`
  Creates a syntax error using the position of the given expression.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColumn()`
  Returns the source column of the error.
  `int`
  `getLine()`
  Returns the source line of the error.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GinqSyntaxError

    public GinqSyntaxError(String message, Expression expression)
    Creates a syntax error using the position of the given expression.
    Parameters:
      `message` - the error message
      `expression` - the expression supplying line and column information

  - ### GinqSyntaxError

    public GinqSyntaxError(String message, int line, int column)
    Creates a syntax error at the supplied source position.
    Parameters:
      `message` - the error message
      `line` - the source line
      `column` - the source column

- ## Method Details

  - ### getLine

    public int getLine()
    Returns the source line of the error.
    Returns:
      the line number

  - ### getColumn

    public int getColumn()
    Returns the source column of the error.
    Returns:
      the column number